package com.yxproject.start.entity.accu;

import javax.persistence.*;
import java.util.Objects;

@Entity
@Table(name = "ACC_GROUP_RELATION_T", schema = "ACC_DBA", catalog = "")
public class AccGroupRelationTEntity {
    private String group_No;
    private String original_No;
    private String deal_Status;
    private String deal_Date;
    private String upload_Unit_No;

    @Id
    @Column(name = "GROUP_NO", nullable = false, length = 10)
    public String getGroup_No() {
        return group_No;
    }

    public void setGroup_No(String group_No) {
        this.group_No = group_No;
    }

    @Basic
    @Column(name = "ORIGINAL_NO", nullable = false, length = 25)
    public String getOriginal_No() {
        return original_No;
    }

    public void setOriginal_No(String original_No) {
        this.original_No = original_No;
    }

    @Basic
    @Column(name = "DEAL_STATUS", nullable = true, length = 1)
    public String getDeal_Status() {
        return deal_Status;
    }

    public void setDeal_Status(String deal_Status) {
        this.deal_Status = deal_Status;
    }

    @Basic
    @Column(name = "DEAL_DATE", nullable = false, length = 8)
    public String getDeal_Date() {
        return deal_Date;
    }

    public void setDeal_Date(String deal_Date) {
        this.deal_Date = deal_Date;
    }

    @Basic
    @Column(name = "UPLOAD_UNIT_NO", nullable = false, length = 12)
    public String getUpload_Unit_No() {
        return upload_Unit_No;
    }

    public void setUpload_Unit_No(String upload_Unit_No) {
        this.upload_Unit_No = upload_Unit_No;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        AccGroupRelationTEntity that = (AccGroupRelationTEntity) o;
        return Objects.equals(group_No, that.group_No) &&
                Objects.equals(original_No, that.original_No) &&
                Objects.equals(deal_Status, that.deal_Status) &&
                Objects.equals(deal_Date, that.deal_Date) &&
                Objects.equals(upload_Unit_No, that.upload_Unit_No);
    }

    @Override
    public int hashCode() {
        return Objects.hash(group_No, original_No, deal_Status, deal_Date, upload_Unit_No);
    }
}
